OCT(4S)

NAME
oct - Central Data octal serial card

SYNOPSIS
device oct0 at mb0 csr 0x520 flags 0xff priority 4

DESCRIPTION
The Central Data card provides 8 serial communication lines with modem control. Each line behaves as described in tty(4). Input and output for each line may independently be set to run at any of 16 speeds; see tty(4) for the encoding.

Bit i of flags may be specified to say that a line is not properly connected, and that the line i should be treated as hard-wired with carrier always present. Thus specifying ``flags 0x0004'' in the specification of oct0 would cause line ttym2 to be treated in this way.

FILES
/dev/tty[mno][0-9a-f]
/dev/ttyd[0-9a-f]

SEE ALSO
tty(4), zs(4S)
Hardware Reference Manual; Octal Serial Interface; Central Data Corporation (Sun 800-0418)

DIAGNOSTICS
None.

BUGS
Input data overruns are silently ignored.

This interrupt-per-character, non-buffered device is expensive in terms of system overhead.

This driver is not supported.